[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddString

Add string as file data

## Declaration

Source position: libtar.pp line 200

`public procedure TTarWriter.AddString(`
`Contents: Ansistring;`
`TarFilename: AnsiString;`
`FileDateGmt: TDateTime`
`);`

## Arguments

`Contents` |  | Data for file entry
`TarFilename` |  | Name for filename
`FileDateGmt` |  | Timestamp for filename.

## Description

AddString adds the string Contents as the data of an entry with file name TarFileName. This name should contain only forward slash path separators. The entry will be written with timestamp FileDateGmt.

The archive entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddStream |  | Add stream contents to archive.
TTarWriter.AddLink |  | Add hard link to archive
TTarWriter.AddSymbolicLink |  | Add a symbolic link to the archive
TTarWriter.AddDir |  | Add directory to archive
TTarWriter.AddVolumeHeader |  | Add volume header entry

Documentation generated on: Feb 26 2014